=== debian/changelog ===
kerneloops (0.12+git20090217-3ubuntu8) trusty; urgency=medium

  * source_kerneloops.py: Add missing required argument for attach_dmesg()

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Apr 2014 07:37:37 -0700

kerneloops (0.12+git20090217-3ubuntu7) trusty; urgency=medium

  * Add in an apport package that captures recent kernel syslog messages and
    dmesg to aid in tracking down some crashes in kerneloops.

 -- Brian Murray <brian@ubuntu.com>  Fri, 28 Mar 2014 14:26:25 -0700

kerneloops (0.12+git20090217-3ubuntu6) trusty; urgency=medium

  * Add ubuntu-set-poll-to-60-seconds.patch: Reduce polling to every 60
    seconds (LP: #1289311). The default polling was every 10 seconds, which is
    a little excessive.

 -- Colin King <colin.king@canonical.com>  Wed, 12 Mar 2014 12:33:33 +0100

kerneloops (0.12+git20090217-3ubuntu5) trusty; urgency=medium

  [ Colin King ]
  * fix memleak and add alloc null pointer checks (LP: #1287109)
    - memleak of buffer c in writefunction()
    - null pointer checks in extract_oops() and scan_dmesg() (LP: #1026251)

  [ Brian Murray ]
  * fix null pointer check in fill_lineinfo() (LP: #1026300)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Mar 2014 08:58:57 -0800

kerneloops (0.12+git20090217-3ubuntu4) trusty; urgency=medium

  * Enable kerneloops for trusty.

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Feb 2014 14:33:45 -0800

kerneloops (0.12+git20090217-3ubuntu3) quantal; urgency=low

  * Disable kerneloops for quantal as it is crashing regularly.
    See further Launchpad bugs 1026300 and 1026251. 

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Jul 2012 09:35:30 -0700

kerneloops (0.12+git20090217-3ubuntu2) quantal; urgency=low

  *  Enable kerneloops for quantal. 

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Jul 2012 14:13:22 -0700

kerneloops (0.12+git20090217-3ubuntu1) quantal; urgency=low

  * Daemon is disabled by default as the kerneloops.org web-site
    is down.
  * Merge from Debian unstable. (LP: #1006299) Remaining changes:
    - ubuntu-adapt-dmesg.patch
      - Avoid bug 422536's WARNING as it isn't a WARN().
      - Avoid another way that edac complains loudly. (LP: 525792)
    - ubuntu-add-submit-pipe.patch
      - Add a "submit-pipe" configuration option for passing the oops to
        another tool. Set it to pipe to apport for Ubuntu.
      - Add kerneloops-submit which will allow apport to submit an oops.
      - submit.c: do not report OOPSes with WARNING in them (LP: 346303)
      - Don't scan the log file, just rely on dmesg for now to avoid a flood
        of duplicate reports. Thanks Matt Zimmerman. (LP: 429000)
    - ubuntu-change-syslog-location.patch
      - Change log-file option to point to /var/log/kern.log instead of
        /var/log/messages.
    - ubuntu-ignore-newline.patch
      - Ensure that the newline is not included in the value when parsing
        string values (LP: 344813)
    - Create a kernoops system user and run the daemon as that, using
      start-stop-daemon. (Running in the adm group ensures it can
      read the logs).
      - Add postinst/postrm to add/remove the user.
      - Depend on adduser.
      - Tweak the dbus conf so that the new user can own the dbus names
        (ubuntu-kernoops-user.patch).
    - Don't stop the daemon in runlevels 0 or 6 as sendsigs can quite
      happily kill it for us.
    - Add apport to Recommends as it will be needed to report any oopses
      now if you don't edit the configuration file.

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 12 Jun 2012 15:05:45 +0200

kerneloops (0.12+git20090217-3) unstable; urgency=low

  * QA upload.
  * Add missing build dependency on libdbus-glib-1-dev (Closes: #669456)

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Apr 2012 22:06:26 +0200

kerneloops (0.12+git20090217-2) unstable; urgency=low

  * QA upload.
  * Orphan the package with QA Team approval
  * Split package into applet and daemon packages (Closes: #476328)
  * debian/control:
    - Add ${misc:Depends} to Depends
    - Bump debhelper compatibitily to 8
    - Bump Standards-Version to 3.9.2
    - Add lsb-base Dependency
    - Set arch:linux-any as this software is only relevant with Linux kernel
    - Add Homepage field
    - Add Vcs- fields
  * debian/rules:
    - Switch to dh sequence
  * Switch to dpkg-source 3.0 (quilt) format and split up existing patches
  * debian/copyright: Add Copyright statements
  * debian/kerneloops.init:
    - Use our own version of the init file instead of upstream one
    - Use LSB function for logging (Closes: #477418)
    - Source /etc/default/kerneloops instead of /etc/sysconfig/kerneloops
      (Closes: #588493)
    - Exit immediately if the package is not installed (Closes: #496253, 540684)
  * Add debian/gbp.conf file
  * debian/patches/l10n_da.patch: Add Danish translation (Closes: #610098)
  * debian/patches/l10n_de.patch: Add German translation (Closes: #624658)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 01 Dec 2011 17:37:21 +0100

kerneloops (0.12+git20090217-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Fix compatibility with libnotify 0.7 API (closes: #636297)
  * Add now missing dependencies on libgtk2.0-dev
  * Add dbus-glib-1 to pkg-config calls in Makefile

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 05 Aug 2011 18:53:41 +0200

kerneloops (0.12+git20090217-1ubuntu19) precise; urgency=low

  * Disable kerneloops for final release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 17 Apr 2012 18:09:39 +0200

kerneloops (0.12+git20090217-1ubuntu18) precise; urgency=low

  * Enable kerneloops for precise. 

 -- Brian Murray <brian@ubuntu.com>  Fri, 13 Jan 2012 03:55:50 -0800

kerneloops (0.12+git20090217-1ubuntu17) precise; urgency=low

  * Disable kerneloops, while kerneloops.org is offline.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Nov 2011 11:06:44 +0100

kerneloops (0.12+git20090217-1ubuntu16) precise; urgency=low

  * Re-enable kerneloops for precise.


