=== debian/control ===
Source: kerneloops
Build-Depends: debhelper (>= 8), libcurl4-gnutls-dev | libcurl-dev, libgtk2.0-dev, libnotify-dev, libdbus-glib-1-dev, desktop-file-utils
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.2
Homepage: http://www.kerneloops.org/
Vcs-Git: git://anonscm.debian.org/git/collab-maint/kerneloops.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/kerneloops.git

Package: kerneloops
Architecture: linux-any
Section: oldlibs
Priority: extra
Depends: kerneloops-applet, ${misc:Depends}
Description: kernel oops tracker (transitional package)
 This is a transitional package for splitting the kerneloops package
 into the kerneloops-daemon package and the kerneloops-applet package.
 In the future, the kerneloops package will contain only the
 kerneloops daemon, and not the applet.  If you want the kerneloops
 applet, you should explicitly install the kerneloops-applet package.

Package: kerneloops-daemon
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
Replaces: kerneloops (<< 0.12+git20090217-2)
Breaks: kerneloops (<< 0.12+git20090217-2)
Recommends: apport
Description: kernel oops tracker
 kerneloops is a daemon that collects kernel crash information and then
 submits the extracted signature to the kerneloops.org website for
 statistical analysis and presentation to the Linux kernel developers.

Package: kerneloops-applet
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, kerneloops-daemon (= ${binary:Version})
Replaces: kerneloops (<< 0.12+git20090217-2)
Breaks: kerneloops (<< 0.12+git20090217-2)
Description: applet for the kernel oops tracker
 The kerneloops applet allows the kerneloops crash reporting utility
 to ask a desktop user for permission before submitting an oops report
 to the kerneloops.org website.
