=== debian/watch ===
version=3
http://www.kerneloops.org/download/kerneloops-(.*)\.tar\.gz
