=== debian/control ===
Source: kerneloops
Build-Depends: debhelper (>= 4), libcurl4-gnutls-dev | libcurl-dev, libnotify-dev, desktop-file-utils, libgtk2.0-dev, libdbus-glib-1-dev
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthew Wilcox <willy@debian.org>
Standards-Version: 3.8.1
Homepage: http://www.kerneloops.org/

Package: kerneloops
Architecture: any
Depends: kerneloops-applet
Description: kernel oops tracker
 This is a transitional package for splitting the kerneloops package
 into the kerneloops-daemon package and the kerneloops-applet package.
 In the future, the kerneloops package will contain only the
 kerneloops daemon, and not the applet.  If you want the kerneloops
 applet, you should explicitly install the kerneloops-applet package.

Package: kerneloops-daemon
Architecture: any
Depends: ${shlibs:Depends}, adduser
Conflicts: kerneloops (<< 0.12+git20090217-1ubuntu2)
Replaces: kerneloops (<< 0.12+git20090217-1ubuntu2)
Recommends: apport
Description: kernel oops tracker
 kerneloops is a daemon that collects kernel crash information and then
 submits the extracted signature to the kerneloops.org website for
 statistical analysis and presentation to the Linux kernel developers.

Package: kerneloops-applet
Architecture: any
Replaces: kerneloops (<< 0.12+git20090217-1ubuntu2)
Depends: ${shlibs:Depends}, kerneloops-daemon
Description: applet for the kernel oops tracker
 The kerneloops applet allows the kerneloops crash reporting utility
 to ask a desktop user for permission before submitting an oops report
 to the kerneloops.org website.
