## kerneloops 0.12+git20140509

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 CFLAGS := -O2 -g -fstack-protector -D_FORTIFY_SOURCE=2 -Wall -W -Wstrict-prototypes -Wundef -fno-common -Werror-implicit-function-declaration -Wdeclaration-after-statement -Wformat -Wformat-security -Werror=format-security
 
-MY_CFLAGS := `pkg-config --cflags libnotify gtk+-2.0 dbus-glib-1` 
+MY_CFLAGS := `pkg-config --cflags libnotify gtk+-2.0 dbus-glib-1`
 #
 # pkg-config tends to make programs pull in a ton of libraries, not all 
 # are needed. -Wl,--as-needed tells the linker to just drop unused ones,
@@ -21,7 +21,7 @@
 LDF_A := -Wl,--as-needed `pkg-config --libs libnotify gtk+-2.0 dbus-glib-1`
 LDF_D := -Wl,--as-needed `pkg-config --libs glib-2.0 dbus-glib-1` `curl-config --libs` -Wl,"-z relro" -Wl,"-z now" 
 
-all:	kerneloops kerneloops-applet kerneloops-submit kerneloops.8.gz
+all:	kerneloops kerneloops-applet kerneloops.8.gz
 
 noui:	kerneloops kerneloops.8.gz
 
@@ -35,9 +35,6 @@
 
 kerneloops-applet: kerneloops-applet.o
 	gcc kerneloops-applet.o $(LDF_A)-o kerneloops-applet
-
-kerneloops-submit: kerneloops-submit.o configfile.o
-	gcc kerneloops-submit.o configfile.o $(LDF_D) -o kerneloops-submit
 
 kerneloops.8.gz: kerneloops.8
 	gzip -9 -c $< > $@
@@ -61,10 +58,6 @@
 	-mkdir -p $(DESTDIR)$(SBINDIR)
 	install -m 0755 kerneloops $(DESTDIR)$(SBINDIR)/
 
-install-kerneloops-submit: kerneloops-submit
-	-mkdir -p $(DESTDIR)$(BINDIR)
-	install -m 0755 kerneloops-submit $(DESTDIR)$(BINDIR)/
-
 install-applet: kerneloops-applet
 	-mkdir -p $(DESTDIR)$(BINDIR)
 	-mkdir -p $(DESTDIR)/etc/xdg/autostart
@@ -73,9 +66,9 @@
 	desktop-file-install --mode 0644 --dir=$(DESTDIR)/etc/xdg/autostart/ kerneloops-applet.desktop
 	install -m 0644 icon.png $(DESTDIR)/usr/share/kerneloops/icon.png
 
-install: install-system install-kerneloops install-kerneloops-submit install-applet
+install: install-system install-kerneloops install-applet
 
-install-noui: install-system install-kerneloops install-kerneloops-submit
+install-noui: install-system install-kerneloops
 
 
 # This is for translators. To update your po with new strings, do :
