=== debian/changelog ===
kerneloops (0.12+git20140509-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1555738).  Remaining changes:
    - Additional Danish translation.
    - Use "kernoops" user for running the daemon.
      - Additional postinst and postrm to handle user creation and removal.
      - Modified sysvinit file (--chuid).
      - Modified systemd service file (User/Group).
    - Modified syslog location (/var/log/kern.log).
    - Ensure that any trailing newlines are stripped off when reading the
      config file.
    - Added submit-pipe option (via apport).
    - Added two messages about EDAC to be ignored (false positives).
    - Additional handling of allocation failures and one memleak in dmesg.c.
    - Change polling interval to 60s.
    - Kept kerneloops as a transitional package and kerneloops-daemon.
      - Renamed kerneloops.service file accordingly.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 10 Mar 2016 16:22:43 +0100

kerneloops (0.12+git20140509-2) unstable; urgency=medium

  * Merge kerneloops-daemon package to kerneloops as planned by
    previous maintainer
  * Make VCS field canonical

  [ Alam_Squeeze from the #debian-systemd IRC channel ]
  * Add systemd service file (Closes: #805068)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 14 Nov 2015 21:54:18 +0400

kerneloops (0.12+git20140509-1) unstable; urgency=medium

  * New upstream snapshot
  * Adopt and reintroduce package to unstable (Closes: #772827)
  * Drop obsolete patches
  * Adopt the package
  * Bump standards version, no changes needed
  * Bump compat level to 9
  * Enable tests during the build
  * Build-depend on valgrind on amd64 and i386 to enable extensive testing
  * Add upstreamed patches
    - Let CFLAGS and friends passed to Make
    - Fix buffer overflow
  * Update site name to oops.kernel.org.
    Thanks to Ben Hutchings for pointing out the new site.
  * Fix configuration file parsing
  * Use oops.kernel.org host
  * Update watch file
  * Update homepage to oops.kernel.org in packaging files
  * Enable all hardening features

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Oct 2015 11:06:43 +0200

kerneloops (0.12+git20090217-3ubuntu9) xenial; urgency=medium

  * Add missing space to kerneloops-applet make recipe.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Dec 2015 00:51:47 +0000
