=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --with systemd

override_dh_installinit:
	dh_systemd_enable
	dh_installinit -p kerneloops-daemon --name kerneloops
	dh_systemd_start -p kerneloops-daemon --name kerneloops
override_dh_auto_test:
	$(MAKE) tests
