=== debian/changelog ===
kerneloops (0.12+git20181124-7) unstable; urgency=medium

  [ Stefan Bader ]
  * Change location of logfile.
    Changes the hard coded logfile into /var/log/kern.log

  [ Balint Reczey ]
  * Make kerneloops only suggest kerneloops-applet.
    The applet is not needed on servers and in Ubuntu Apport
    asks the user for permission to send the oops report.
  * Drop not working ExecStartPre option from kerneloops.service
    (Closes: #921210)
  * Add Salsa CI configuration
  * Migrate packaging to Salsa
  * New upstream snapshot 0.12+git20181124 (Closes: #875560)
  * Drop patches merged upstream
  * debian/control: Use my Ubuntu email address for Maintainer:
  * Bump debhelper version by build-depending on debhelper-compat (= 12)
  * Drop dh's --with systemd
  * Add Pre-Depends: ${misc:Pre-Depends} to kerneloops

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 16 Jun 2019 21:59:41 +0200

kerneloops (0.12+git20140509-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use triplet-prefixed pkg-config (Closes: #844292)

  [ Balint Reczey ]
  * Present URL-s in kerneloops-applet notifications as normal text

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 14 Nov 2016 11:52:29 +0100

kerneloops (0.12+git20140509-5) unstable; urgency=medium

  * Rename conffile in maintainer scripts properly (Closes: 837760)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 14 Sep 2016 17:27:07 +0200

kerneloops (0.12+git20140509-4) unstable; urgency=medium

  * Ship dbus configuration file with .conf postfix (Closes: 810647)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 07 Sep 2016 20:13:47 +0200

kerneloops (0.12+git20140509-3) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix daemon stop and restart in init script (Closes: #805067)

  [ Balint Reczey ]
  * Reformat and clean up debian/control using cme
  * Fix typo in debian/control
  * Bump policy version

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 17 Jun 2016 18:45:59 -0700
