=== debian/control ===
Source: kerneloops
Maintainer: Balint Reczey <rbalint@ubuntu.com>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libcurl4-gnutls-dev | libcurl-dev,
               libgtk2.0-dev,
               libnotify-dev,
               libdbus-glib-1-dev,
               desktop-file-utils,
               valgrind [amd64 i386]
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/kerneloops -b debian/master
Vcs-Browser: https://salsa.debian.org/debian/kerneloops.git
Homepage: http://oops.kernel.org/

Package: kerneloops
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lsb-base
Pre-Depends: ${misc:Pre-Depends}
Suggests: kerneloops-applet
Breaks: kerneloops-daemon (<< 0.12+git20140509-2)
Replaces: kerneloops-daemon (<< 0.12+git20140509-2)
Description: kernel oops tracker
 kerneloops is a daemon that collects kernel crash information and then
 submits the extracted signature to the oops.kernel.org website for
 statistical analysis and presentation to the Linux kernel developers.

Package: kerneloops-applet
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         kerneloops (= ${binary:Version})
Breaks: kerneloops (<< 0.12+git20090217-2)
Replaces: kerneloops (<< 0.12+git20090217-2)
Description: applet for the kernel oops tracker
 The kerneloops applet allows the kerneloops crash reporting utility
 to ask a desktop user for permission before submitting an oops report
 to the oops.kernel.org website.
