=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/tmp/etc/dbus-1/system.d/kerneloops.dbus \
		$(CURDIR)/debian/tmp/etc/dbus-1/system.d/kerneloops.conf

override_dh_auto_test:
	$(MAKE) tests
